/*
 * Мигалка
 *
 * Самый простой пример для Arduino. Включает светодиод на одну секунду,
 * затем выключает на одну секунду, и так далее...  Мы использовали 
 * пин 13, потому что, в зависимости от того, какая у Вас плата
 * Arduino, на ней либо есть встроенный светодиод, либо встроенный
 * резистор, так что нужно только добавить светодиод
 *
 * http://www.arduino.cc/en/Tutorial/Blink
 */

int ledPin = 13;                // Светодиод, подключённый к цифровому пину 13

void setup()                    // запускается однажды, в начале скетча
{
  pinMode(ledPin, OUTPUT);      // делает цифровой пин выходом
}

void loop()                     // запускается раз за разом
{
  digitalWrite(ledPin, HIGH);   // включает светодиод
  delay(1000);                  // ждёт секунду
  digitalWrite(ledPin, LOW);    // выключает светодиод
  delay(1000);                  // ждёт секунду
}
