/*
 * PotDimmer 
 * ---------
 * 
 * Использует потенциометр, чтобы настроить яркость светодиода
 * через ШИМ
 * 
 */

int potPin = 2;    // выбор входного пина для потенциометра
int ledPin = 9;   // выбор пина для светодиода
int val = 0;       // переменная для хранения показания датчика

void setup() {
  pinMode(ledPin, OUTPUT);  // объявить светодиод выходом
}

void loop() {
  val = analogRead(potPin);    // считать значение на входе
  val = val/4;                 // преобразовать из 0-1023 в 0-255
  analogWrite(ledPin, val);    // включить светодиод
}
