/*
 * Serial Read Basic
 * -----------------
 * Мигнуть светодиодом на пине 13, если через последовательный порт пришёл 
 * символ 'H' 
 *
 * 
 */

int ledPin = 13;   // выбор пина для светодиода
int val = 0;       // переменная для хранения данных из последовательного порта

void setup() {
  pinMode(ledPin,OUTPUT);    // объявить светодиод выходом
  Serial.begin(19200);       // подключиться к последовательному порту
}

void loop () {
  // Serial.available() - это способ увидеть, пришло ли что-то через 
  // последовательный порт, не ставя код на паузу
  if( Serial.available() ) {
    val = Serial.read();      // прочитать значение с последовательного порта 
    if( val == 'H' ) {        // если 'H', мигнуть
      digitalWrite(ledPin, HIGH);
      delay(1000);
      digitalWrite(ledPin, LOW);
    } 
  }

}

